List dispute statuses

View as MarkdownOpen in Claude
Use this method to return the status history of a dispute. To view the status history of a dispute, you need its disputeId. If you don't have the disputeId, use our [List Disputes](https://docs.payroc.com/api/schema/reporting/settlement/list-disputes) method to search for the dispute. Our gateway returns a list that contains each status change, the date it was changed, and its updated status.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

disputeIdintegerRequired
Unique identifier of the dispute.

Response

Successful request. Returns the status history for a specific dispute.
disputeStatusIdinteger
Unique identifier that we assigned to the status of the dispute.
statusenum

Status of the dispute.

Note: If you want to view the status history of the dispute, use our List Dispute Statuses method.

statusDatedate

Date that the status of the dispute was last changed. The format of this value is YYYY-MM-DD.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error